﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Diagnostics;

namespace emanual.Wpf.Apps
{
	public partial class EditData : Window
	{
		private OrderData FOrderData = null;
		private OrderData FOldOrderData = null; // キャンセルするときのための元のデータを保存する

		public OrderData OrderData { get { return FOrderData; } set { FOrderData = value; } }

		//---------------------------------------------------------------------------------------------
		public EditData()
		{
			InitializeComponent();
		}

		//---------------------------------------------------------------------------------------------
		private void Window_Loaded(object sender, RoutedEventArgs e)
		{
			if (FOrderData != null)
			{
				FOldOrderData = FOrderData.Clone();
				this.DataContext = FOrderData;
			}
			else
				new ArgumentException("データが設定されていません。");
		}

		//---------------------------------------------------------------------------------------------
		private void btnCommit_Click(object sender, RoutedEventArgs e)
		{
			if ((Validation.GetHasError(txtProductName)) || (Validation.GetHasError(txtPrice)) || (Validation.GetHasError(txtQuantity)))
			{
				txtData.Text = "エラーの項目を修正してください。";
				return;
			}

			MessageBox.Show(FOrderData.ToString());
			this.DialogResult = true;
		}

		//---------------------------------------------------------------------------------------------
		private void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			txtProductName.Text = FOldOrderData.ProductName;
			txtPrice.Text = FOldOrderData.Price.ToString();
			txtQuantity.Text = FOldOrderData.Quantity.ToString();
			this.DialogResult = false;
		}
	} // end of EditData class
} // end of emanual.Wpf.Apps namespace
